## org.mortbay.http
Class ChunkingInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--org.mortbay.http.ChunkingInputStream

public class ChunkingInputStream
extends java.io.InputStream

Dechunk input. Or limit content length.

Constructor Summary
`ChunkingInputStream(LineInput in)` Constructor.

Method Summary
`int` `available()`
`void` `close()`
`void` `mark(int readlimit)` Not Implemented.
`boolean` `markSupported()` Mark is not supported.
`int` `read()`
`int` `read(byte[] b)`
`int` `read(byte[] b, int off, int len)`
`void` `reset()` Not Implemented.
`void` `resetStream()`
`long` `skip(long len)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChunkingInputStream

    public ChunkingInputStream(LineInput in)

  Constructor.

Method Detail

### resetStream

    public void resetStream()

### read

    public int read()
             throws java.io.IOException

  Specified by:
    `read` in class `java.io.InputStream`
    `java.io.IOException`

### read

    public int read(byte[] b)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
    `java.io.IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
    `java.io.IOException`

### skip

    public long skip(long len)
              throws java.io.IOException

  Overrides:
    `skip` in class `java.io.InputStream`
    `java.io.IOException`

### available

    public int available()
                  throws java.io.IOException

  Overrides:
    `available` in class `java.io.InputStream`
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Overrides:
    `close` in class `java.io.InputStream`
    `java.io.IOException`

### markSupported

    public boolean markSupported()

  Mark is not supported.

  Overrides:
    `markSupported` in class `java.io.InputStream`
  Returns:
    false

### reset

    public void reset()

  Not Implemented.

  Overrides:
    `reset` in class `java.io.InputStream`

### mark

    public void mark(int readlimit)

  Not Implemented.

  Overrides:
    `mark` in class `java.io.InputStream`
  Parameters:
    `readlimit` -

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.